<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'thang.luu',

    /*
     * Package.
     */
    'package'   => 'word',

    /*
     * Modules.
     */
    'modules'   => ['words'],


    'words'       => [
        'model'             => 'Thang.luu\Word\Models\Words',
        'table'             => 'words',
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'name',  'sDefine'],
        'translatable'      => ['name',  'sDefine'],

        'upload-folder'     => '/uploads/word/words',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
